INCLUDES = -I$(top_srcdir)/include $(all_includes)
METASOURCES = AUTO

noinst_HEADERS = samplemodule.h sampleextra.h sampletests.h

check_LTLIBRARIES = tdeunittest_samplemodule.la tdeunittest_samplemodule2.la

tdeunittest_samplemodule_la_SOURCES = samplemodule.cpp sampletests.cpp sampleextra.cpp
tdeunittest_samplemodule_la_LIBADD = -ltdeunittest
tdeunittest_samplemodule_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

tdeunittest_samplemodule2_la_SOURCES = samplemodule2.cpp
tdeunittest_samplemodule2_la_LIBADD = -ltdeunittest
tdeunittest_samplemodule2_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

check-local:
	tdeunittestmodrunner

guicheck:
	$(srcdir)/../../tdeunittestmod $(PWD)
